Subject: RE: feedback on draft-ietf-opes-end-comm-04

From: "Abbie Barbir" <[email-masked]>
Date: Tue, 21 Oct 2003 13:17:36 -0400

Alex,
Thanks for the feedback.
see inline

Abbie

> -----Original Message-----
> From: Alex Rousskov [mailto:[email-masked]] 
> Sent: Tuesday, October 21, 2003 12:33 AM
> To: OPES WG
> Subject: feedback on draft-ietf-opes-end-comm-04
> 
SNIP

> > An OPES system MUST add its identification to the trace.
> 
> Any requirements regarding System identification? Is it 
> supposed to be globally unique, for example? If yes, then are 
> we proposing a registry for system IDs?? If not, then a 
> system can use "system" as an identifier and satisfy the 
> above requirement.
> 

No registery is proposed.
Can u be more clear on what do u mean by system? Give an example please.

> > An OPES System MUST include information that identifies, to the 
> > technical contact, the OPES processors involved in processing the 
> > message.
> 
> This contradicts the fact that OPES processor tracing is not 
> a MUST, does not it? Given this two contradicting 
> requirements, it is not clear whether an end is guaranteed a 
> processor trace entry for each processor involved. Please 
> resolve this important conflict.
> 

OPES tracing is a MUST.

I do not see why u say contradicting statment.

> > Each OPES processor MUST support tracing, policy can be 
> used to turn 
> > tracing on and to determine its granularity.
> 
> I continue to note that the above requirement does not make 
> much sense to me. If a policy can be used, can I use a policy 
> that always turns tracing off and have that as the only, 
> hard-coded policy? I think this is a failed attempt to appear 
> directly compliant with an IAB consideration and it should be removed.
> 

Alex, if your ploicy trun all processor off, then u r not compliant. 

SNIP

---

From: Alex Rousskov <[email-masked]>
Date: Tue, 21 Oct 2003 11:38:17 -0600 (MDT)

> Can u be more clear on what do u mean by system? Give an example

You already have a definition of an OPES system. I do not mean
anything beyond that. An example would be a CDN doing distribution and
adaptation of an example.com web site.

> I do not see why u say contradicting statment.

I am talking about specific requirements you have in the draft. There
is no "OPES tracing is a MUST" requirement. However, there is a
requirement quoted above that implies that an OPES System MUST trace
every OPES processor. Since OPES System has to delegate actual actions
to processors, the above really means that an OPES processor MUST
trace itself. There is also a requirement on page 6 that "OPES
processor SHOULD add its entry to the trace". For me, there is a
requirement level conflict here. Either it is a SHOULD or a MUST, it
cannot be both.

>
> > > Each OPES processor MUST support tracing, policy can be used to
> > > turn tracing on and to determine its granularity.
> >
> > I continue to note that the above requirement does not make much
> > sense to me. If a policy can be used, can I use a policy that
> > always turns tracing off and have that as the only, hard-coded
> > policy? I think this is a failed attempt to appear directly
> > compliant with an IAB consideration and it should be removed.
> >
>

Why? I am not violating the "support" requirement above.

Alex.